Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 27132002: Add missing event handler attributes (Closed)

Created:
5 years, 4 months ago by philipj_slow
Modified:
5 years, 4 months ago
Reviewers:
abarth-chromium
CC:
blink-reviews, dglazkov+blink, eae+blinkwatch, adamk+blink_chromium.org, Inactive
Base URL:
https://chromium.googlesource.com/chromium/blink.git@notenumerable
Visibility:
Public.

Description

Add missing event handler attributes Document, Element and Window now have almost all the on* attributes from GlobalEventHandlers and are in sync with each other, except: * The dragexit event is part of the drag-and-drop processing model, but is never fired in Blink. * The sort event is part of the table sorting algorithm, which has not been implemented yet. Also alphabetize the lists in Document.h and Element.h. BUG=305112 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=159781

Patch Set 1 #

Patch Set 2 : remove a commented out onshow #

Total comments: 2

Patch Set 3 : rebase on top of issue 26117003 #

Patch Set 4 : alphabetize #

Unified diffs Side-by-side diffs Delta from patch set Stats (+399 lines, -293 lines) Patch
M LayoutTests/fast/dom/global-event-handlers-expected.txt View 1 2 10 chunks +244 lines, -244 lines 0 comments Download
M Source/core/dom/Document.h View 1 2 3 2 chunks +47 lines, -26 lines 0 comments Download
M Source/core/dom/Document.idl View 1 2 4 chunks +24 lines, -0 lines 0 comments Download
M Source/core/dom/Element.h View 1 2 3 3 chunks +43 lines, -21 lines 0 comments Download
M Source/core/dom/Element.idl View 1 2 4 chunks +24 lines, -0 lines 0 comments Download
M Source/core/frame/DOMWindow.h View 2 chunks +4 lines, -0 lines 0 comments Download
M Source/core/frame/Window.idl View 1 3 chunks +5 lines, -2 lines 0 comments Download
M Source/core/html/HTMLAttributeNames.in View 2 chunks +4 lines, -0 lines 0 comments Download
M Source/core/html/HTMLElement.cpp View 3 chunks +4 lines, -0 lines 0 comments Download

Messages

Total messages: 6 (0 generated)
philipj_slow
5 years, 4 months ago (2013-10-13 19:42:25 UTC) #1
abarth-chromium
LGTM assuming this matches the spec. https://codereview.chromium.org/27132002/diff/4001/Source/core/dom/Document.h File Source/core/dom/Document.h (left): https://codereview.chromium.org/27132002/diff/4001/Source/core/dom/Document.h#oldcode269 Source/core/dom/Document.h:269: // WebKit extensions ...
5 years, 4 months ago (2013-10-15 17:00:46 UTC) #2
philipj_slow
https://codereview.chromium.org/27132002/diff/4001/Source/core/dom/Document.h File Source/core/dom/Document.h (left): https://codereview.chromium.org/27132002/diff/4001/Source/core/dom/Document.h#oldcode269 Source/core/dom/Document.h:269: // WebKit extensions On 2013/10/15 17:00:46, abarth wrote: > ...
5 years, 4 months ago (2013-10-15 21:01:08 UTC) #3
abarth-chromium
thanks. LGTM Feel free to sort things in whichever CL is easiest for you.
5 years, 4 months ago (2013-10-15 21:08:26 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/philipj@opera.com/27132002/12001
5 years, 4 months ago (2013-10-16 08:10:55 UTC) #5
commit-bot: I haz the power
5 years, 4 months ago (2013-10-16 16:11:39 UTC) #6
Message was sent while issue was closed.
Change committed as 159781

Powered by Google App Engine
This is Rietveld 408576698